Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes
DSetCreatPropList Class Reference

`#include <c++/src/H5DcreatProp.h>`

## Detailed Description

Class DSetCreatPropList inherits from ObjCreatPropList and provides wrappers for the HDF5 dataset creation property functions.

Inheritance diagram for DSetCreatPropList:

## Public Member Functions
bool | allFiltersAvail () const
| DSetCreatPropList ()
| DSetCreatPropList (const DSetCreatPropList &orig)
| DSetCreatPropList (const hid_t plist_id)
virtual H5std_string | fromClass () const override
| Returns this class name.
H5D_alloc_time_t | getAllocTime () const
int | getChunk (int max_ndims, hsize_t *dim) const
void | getExternal (unsigned idx, size_t name_size, char *name, HDoff_t &offset, hsize_t &size) const
int | getExternalCount () const
H5D_fill_time_t | getFillTime () const
void | getFillValue (const DataType &fvalue_type, void *value) const
H5Z_filter_t | getFilter (int filter_number, unsigned int &flags, size_t &cd_nelmts, unsigned int *cd_values, size_t namelen, char name[], unsigned int &filter_config) const
void | getFilterById (H5Z_filter_t filter_id, unsigned int &flags, size_t &cd_nelmts, unsigned int *cd_values, size_t namelen, char name[], unsigned int &filter_config) const
H5D_layout_t | getLayout () const
int | getNfilters () const
H5D_fill_value_t | isFillValueDefined () const
void | modifyFilter (H5Z_filter_t filter_id, unsigned int flags, size_t cd_nelmts, const unsigned int cd_values[]) const
void | removeFilter (H5Z_filter_t filter_id) const
void | setAllocTime (H5D_alloc_time_t alloc_time) const
void | setChunk (int ndims, const hsize_t *dim) const
void | setDeflate (int level) const
void | setExternal (const char *name, HDoff_t offset, hsize_t size) const
void | setFillTime (H5D_fill_time_t fill_time) const
void | setFillValue (const DataType &fvalue_type, const void *value) const
void | setFilter (H5Z_filter_t filter, unsigned int flags=0, size_t cd_nelmts=0, const unsigned int cd_values[]=NULL) const
void | setFletcher32 () const
void | setLayout (H5D_layout_t layout) const
void | setNbit () const
void | setShuffle () const
void | setSzip (unsigned int options_mask, unsigned int pixels_per_block) const
void | setVirtual (const DataSpace &vspace, const char *src_fname, const char *src_dsname, const DataSpace &sspace) const
void | setVirtual (const DataSpace &vspace, const H5std_string src_fname, const H5std_string src_dsname, const DataSpace &sspace) const
virtual | ~DSetCreatPropList () override=default
Public Member Functions inherited from ObjCreatPropList
unsigned | getAttrCrtOrder () const
void | getAttrPhaseChange (unsigned &max_compact, unsigned &min_dense) const
| ObjCreatPropList ()
| ObjCreatPropList (const hid_t plist_id)
| ObjCreatPropList (const ObjCreatPropList &original)
void | setAttrCrtOrder (unsigned crt_order_flags) const
void | setAttrPhaseChange (unsigned max_compact=8, unsigned min_dense=6) const
virtual | ~ObjCreatPropList () override=default
Public Member Functions inherited from PropList
virtual void | close () override
void | closeClass () const
void | copy (const PropList &like_plist)
void | copyProp (PropList &dest, const char *name) const
void | copyProp (PropList &dest, const H5std_string &name) const
void | copyProp (PropList &dest, PropList &src, const char *name) const
void | copyProp (PropList &dest, PropList &src, const H5std_string &name) const
hid_t | getClass () const
H5std_string | getClassName () const
PropList | getClassParent () const
virtual hid_t | getId () const override
size_t | getNumProps () const
H5std_string | getProperty (const char *name) const
void | getProperty (const char *name, void *value) const
H5std_string | getProperty (const H5std_string &name) const
void | getProperty (const H5std_string &name, void *value) const
size_t | getPropSize (const char *name) const
size_t | getPropSize (const H5std_string &name) const
bool | isAClass (const PropList &prop_class) const
PropList & | operator= (const PropList &rhs)
bool | operator== (const PropList &rhs) const
bool | propExist (const char *name) const
| Query the existence of a property in a property object.
bool | propExist (const H5std_string &name) const
| PropList ()
| PropList (const hid_t plist_id)
| PropList (const PropList &original)
void | removeProp (const char *name) const
void | removeProp (const H5std_string &name) const
void | setProperty (const char *name, const char *charptr) const
void | setProperty (const char *name, const H5std_string &strg) const
void | setProperty (const char *name, const void *value) const
void | setProperty (const char *name, H5std_string &strg) const
void | setProperty (const char *name, void *value) const
void | setProperty (const H5std_string &name, const H5std_string &strg) const
void | setProperty (const H5std_string &name, const void *value) const
void | setProperty (const H5std_string &name, H5std_string &strg) const
void | setProperty (const H5std_string &name, void *value) const
virtual | ~PropList () override
Public Member Functions inherited from IdComponent
void | decRefCount () const
void | decRefCount (const hid_t obj_id) const
int | getCounter () const
int | getCounter (const hid_t obj_id) const
H5I_type_t | getHDFObjType () const
void | incRefCount () const
void | incRefCount (const hid_t obj_id) const
H5std_string | inMemFunc (const char *func_name) const
IdComponent & | operator= (const IdComponent &rhs)
void | setId (const hid_t new_id)
virtual | ~IdComponent ()=default

## Static Public Member Functions
static void | deleteConstants ()
Static Public Member Functions inherited from ObjCreatPropList
static void | deleteConstants ()
Static Public Member Functions inherited from PropList
static void | deleteConstants ()
Static Public Member Functions inherited from IdComponent
static H5I_type_t | getHDFObjType (const hid_t obj_id)
static hsize_t | getNumMembers (H5I_type_t type)
static bool | isValid (hid_t an_id)
static bool | typeExists (H5I_type_t type)

## Static Public Attributes
static const DSetCreatPropList & | DEFAULT
| Default dataset creation property list.
Static Public Attributes inherited from ObjCreatPropList
static const ObjCreatPropList & | DEFAULT
| Default object creation property list.
Static Public Attributes inherited from PropList
static const PropList & | DEFAULT
| Default property list.

## Additional Inherited Members
Protected Member Functions inherited from PropList
virtual void | p_setId (const hid_t new_id) override
Protected Member Functions inherited from IdComponent
| IdComponent ()
H5std_string | p_get_file_name () const
Static Protected Member Functions inherited from IdComponent
static bool | p_valid_id (const hid_t obj_id)
Protected Attributes inherited from PropList
hid_t | id
Static Protected Attributes inherited from IdComponent
static bool | H5dontAtexit_called

## Constructor & Destructor Documentation

## ◆ DSetCreatPropList() [1/3]

DSetCreatPropList | ( |  | ) |

## ◆ DSetCreatPropList() [2/3]

DSetCreatPropList | ( | const DSetCreatPropList & | orig | ) |

## ◆ DSetCreatPropList() [3/3]

DSetCreatPropList | ( | const hid_t | plist_id | ) |

## ◆ ~DSetCreatPropList()

virtual ~DSetCreatPropList | ( |  | ) |
| override virtual default

## Member Function Documentation

## ◆ allFiltersAvail()

bool allFiltersAvail | ( |  | ) | const

## ◆ deleteConstants()

static void deleteConstants | ( |  | ) |
| static

## ◆ fromClass()

virtual H5std_string fromClass | ( |  | ) | const
| override virtual

Returns this class name.

Reimplemented from ObjCreatPropList.

## ◆ getAllocTime()

H5D_alloc_time_t getAllocTime | ( |  | ) | const

## ◆ getChunk()

int getChunk | ( | int | max_ndims,
|  | hsize_t * | dim ) const

## ◆ getExternal()

void getExternal | ( | unsigned | idx,
|  | size_t | name_size,
|  | char * | name,
|  | HDoff_t & | offset,
|  | hsize_t & | size ) const

## ◆ getExternalCount()

int getExternalCount | ( |  | ) | const

## ◆ getFillTime()

H5D_fill_time_t getFillTime | ( |  | ) | const

## ◆ getFillValue()

void getFillValue | ( | const DataType & | fvalue_type,
|  | void * | value ) const

## ◆ getFilter()

H5Z_filter_t getFilter | ( | int | filter_number,
|  | unsigned int & | flags,
|  | size_t & | cd_nelmts,
|  | unsigned int * | cd_values,
|  | size_t | namelen,
|  | char | name[],
|  | unsigned int & | filter_config ) const

## ◆ getFilterById()

void getFilterById | ( | H5Z_filter_t | filter_id,
|  | unsigned int & | flags,
|  | size_t & | cd_nelmts,
|  | unsigned int * | cd_values,
|  | size_t | namelen,
|  | char | name[],
|  | unsigned int & | filter_config ) const

## ◆ getLayout()

H5D_layout_t getLayout | ( |  | ) | const

## ◆ getNfilters()

int getNfilters | ( |  | ) | const

## ◆ isFillValueDefined()

H5D_fill_value_t isFillValueDefined | ( |  | ) | const

## ◆ modifyFilter()

void modifyFilter | ( | H5Z_filter_t | filter_id,
|  | unsigned int | flags,
|  | size_t | cd_nelmts,
|  | const unsigned int | cd_values[] ) const

## ◆ removeFilter()

void removeFilter | ( | H5Z_filter_t | filter_id | ) | const

## ◆ setAllocTime()

void setAllocTime | ( | H5D_alloc_time_t | alloc_time | ) | const

## ◆ setChunk()

void setChunk | ( | int | ndims,
|  | const hsize_t * | dim ) const

## ◆ setDeflate()

void setDeflate | ( | int | level | ) | const

## ◆ setExternal()

void setExternal | ( | const char * | name,
|  | HDoff_t | offset,
|  | hsize_t | size ) const

## ◆ setFillTime()

void setFillTime | ( | H5D_fill_time_t | fill_time | ) | const

## ◆ setFillValue()

void setFillValue | ( | const DataType & | fvalue_type,
|  | const void * | value ) const

## ◆ setFilter()

void setFilter | ( | H5Z_filter_t | filter,
|  | unsigned int | flags = 0,
|  | size_t | cd_nelmts = 0,
|  | const unsigned int | cd_values[] = NULL ) const

## ◆ setFletcher32()

void setFletcher32 | ( |  | ) | const

## ◆ setLayout()

void setLayout | ( | H5D_layout_t | layout | ) | const

## ◆ setNbit()

void setNbit | ( |  | ) | const

## ◆ setShuffle()

void setShuffle | ( |  | ) | const

## ◆ setSzip()

void setSzip | ( | unsigned int | options_mask,
|  | unsigned int | pixels_per_block ) const

## ◆ setVirtual() [1/2]

void setVirtual | ( | const DataSpace & | vspace,
|  | const char * | src_fname,
|  | const char * | src_dsname,
|  | const DataSpace & | sspace ) const

## ◆ setVirtual() [2/2]

void setVirtual | ( | const DataSpace & | vspace,
|  | const H5std_string | src_fname,
|  | const H5std_string | src_dsname,
|  | const DataSpace & | sspace ) const

## Field Documentation

## ◆ DEFAULT

const DSetCreatPropList& DEFAULT
| static

Default dataset creation property list.

The documentation for this class was generated from the following file:

- c++/src/H5DcreatProp.h